﻿using NLog;
using System;
using System.Collections.Generic;
using System.Text;
using TouchSocket.Sockets;

namespace Ems.CollectService.TouchSocket
{
    internal class MyFixedHeaderCustomDataHandlingAdapter : CustomFixedHeaderDataHandlingAdapter<MyFixedHeaderRequestInfo>
    {
        private Logger logger = LogManager.GetCurrentClassLogger();
        public override int HeaderLength => 10;

        protected override MyFixedHeaderRequestInfo GetInstance()
        {
            try
            {
                return new MyFixedHeaderRequestInfo();
            }
            catch (Exception ex)
            {
                logger.Error("TCP适配器异常",ex);
                return new MyFixedHeaderRequestInfo();
            }
        }
    }
}
